Expo Sdk for 64 bit Application

Hello
I have created the expo application, but it is of 32-bit
Is there any way to create / upgrade 32 bit expo app to 64 bit app,
because when i upload the app to google play store, it is showing the warning that ** This build is not compliant with 64-bit requirement
From August 1, 2019 all releases must be compliant with google play 64-bit requirement **
When will expo upgrade the react-native 0.57 to react -native 0.59.

Thanks

Hi,
Read the release note, the expo sdk 34 will implement the 64 bits support for android.

Is there any fix date, when will expo release the Sdk 34.

Thanks

1 Like

Hi, it would be great to get a response from Expo on this.
Isn’t it the case that no one will be able to update their Android Expo apps without having upgraded to SDK 34? - that’s quite serious.
It would be nice to know how much time we will have to do this.

Hi,
I think sdk 33 now support 64bits with new build.
My bundle was arround 20mo, now it’s like 30mo, and no error from google (except the size of the app) about 64 bits support. So i think it’s good now, but not 100% sure.

1 Like

To quote Wojciech Kozyra from the Expo Slack:

… It was planned to add support for 64 bit to sdk33 during sdk34 release, but because 34 is taking a bit longer we decided to release patch to 33 earlier

So, if you use SDK 33, new builds with Turtle (Managed Workflow) will give you 64-bit builds! :smile: :parrot: :rocket:

Hi @bycedric @ncailleux, Thanks for the Help… :grinning::slightly_smiling_face:

Can confirm that the build is now 64 and 32 bit. Thanks for this!

what about projects that use ExpoKit?

just switch abi filters in build.gradle to

abiFilters 'armeabi-v7a', 'x86', 'arm64-v8a', 'x86_64'

Should work with all expokit releases for sdk33

1 Like